// subPackageMarketing/page/pages/scratch/scratch.js
const wxService = require('../../../../utils/wxService')
const utils = require('../../../../utils/util')
import Scratch from '../../components/scratch/scratch.js'

wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.initScratch();
  },

  //初始化刮刮卡
  initScratch(){
    this.scratch = new Scratch(this, {
        canvasWidth: 197,
        canvasHeight: 72,
        imageResource: 'https://img3.bigaka.com/test/1002/202004/20200413/100208b0fbce-b73d-4af9-bd74-47d1ea5311d5.png',
        maskColor: 'red',
        r: 4,
        awardTxt: '中大奖',
        awardTxtColor: '#3985ff',
        awardTxtFontSize: '24px',
        callback: () => {
            wx.showModal({
                title: '提示',
                content: `您中奖了`,
                showCancel: false,
                success: res => {
                    // this.scratch.reset()
                    if (res.confirm) {
                        console.log('用户点击确定')
                    } else if (res.cancel) {
                        console.log('用户点击取消')
                    }
                }
            })
        }
    });
    //this.scratch.start()

    this.scratch.start()
    //this.scratch.restart()
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})